Name:           faugus-launcher
Version:        1.6.8
Release:        1%{?dist}
Summary:        A simple and lightweight app for running Windows games using UMU-Launcher

License:        MIT
URL:            https://github.com/Faugus/faugus-launcher
Source0:        https://github.com/Faugus/faugus-launcher/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       python3 python3-gobject python3-requests python3-icoextract python3-pillow python3-filelock python3-vdf python3-psutil umu-launcher ImageMagick libayatana-appindicator-gtk3

%description
A simple and lightweight app for running Windows games using UMU-Launcher/UMU-Proton.

%prep
%autosetup -n %{name}-%{version}

%install
install -Dm755 faugus_launcher.py %{buildroot}%{_bindir}/faugus-launcher
install -Dm755 faugus_run.py %{buildroot}%{_bindir}/faugus-run
install -Dm755 faugus_proton_manager.py %{buildroot}%{_bindir}/faugus-proton-manager
install -Dm755 faugus_components.py %{buildroot}%{_bindir}/faugus-components

install -Dm644 faugus-launcher.desktop %{buildroot}%{_datadir}/applications/faugus-launcher.desktop
install -Dm644 faugus-shortcut.desktop %{buildroot}%{_datadir}/applications/faugus-shortcut.desktop
install -Dm644 faugus-run.desktop %{buildroot}%{_datadir}/applications/faugus-run.desktop
install -Dm644 faugus-proton-manager.desktop %{buildroot}%{_datadir}/applications/faugus-proton-manager.desktop

install -Dm644 assets/faugus-launcher.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/faugus-launcher.png
install -Dm644 assets/faugus-battlenet.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/faugus-battlenet.png
install -Dm644 assets/faugus-ea.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/faugus-ea.png
install -Dm644 assets/faugus-epic-games.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/faugus-epic-games.png
install -Dm644 assets/faugus-ubisoft-connect.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/faugus-ubisoft-connect.png
install -Dm644 assets/faugus-banner.png %{buildroot}%{_datadir}/faugus-launcher/faugus-banner.png
install -Dm644 assets/faugus-notification.ogg %{buildroot}%{_datadir}/faugus-launcher/faugus-notification.ogg

install -Dm644 assets/faugus-add-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/faugus-add-symbolic.svg
install -Dm644 assets/faugus-exit-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/faugus-exit-symbolic.svg
install -Dm644 assets/faugus-kill-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/faugus-kill-symbolic.svg
install -Dm644 assets/faugus-play-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/faugus-play-symbolic.svg
install -Dm644 assets/faugus-settings-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/faugus-settings-symbolic.svg
install -Dm644 assets/faugus-stop-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/actions/faugus-stop-symbolic.svg

install -Dm644 LICENSE %{buildroot}%{_datadir}/licenses/%{name}/LICENSE

find languages -type f -name "*.mo" -print0 | while IFS= read -r -d '' mo_file; do
    lang=$(basename $(dirname "$mo_file"))
    install -Dm644 "$mo_file" "%{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/$(basename "$mo_file")"
done

%files
%license LICENSE
%{_bindir}/faugus-launcher
%{_bindir}/faugus-run
%{_bindir}/faugus-proton-manager
%{_bindir}/faugus-components
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/256x256/apps/*.png
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/faugus-launcher/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Sun Jun 22 2025 Faugus - 1.6.8-1
- Reworked the config file management.
